Download OpenAPI specification:
AEM Admin API Service is used to manage the lifecycle of content, code, and configuration.
Returns the overall status of the respective resource.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
string or string Optional URL of the edit (authoring) document |
Success response of a preview document.
{- "webPath": "/en/2021/blog",
- "resourcePath": "/en/2021/blog.md",
- "live": {
- "status": 200,
- "lastModified": "2021-05-29T22:00:00Z",
- "contentBusId": "h3-site-abc123def456abc123def456a/live/en/2021/blog.md",
- "permissions": [
- "read"
]
}, - "preview": {
- "status": 200,
- "lastModified": "2021-05-31T23:00:00Z",
- "contentBusId": "h3-site-abc123def456abc123def456a/preview/en/2021/blog.md",
- "permissions": [
- "read",
- "write"
]
}, - "edit": {
- "status": 200,
- "sourceLocation": "onedrive:/drives/b!DyVXacYnlkm/items/012VWERI4JFI",
- "lastModified": "2021-05-29T21:00:00Z"
}, - "code": {
- "status": 404,
- "codeBusId": "helix-code-bus/org/site/main/blog.md",
- "permissions": [
- "read"
]
}, - "links": {
}
}Returns the preview status of the respective resource.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
Success response of a preview document.
{- "webPath": "/en/2021/blog",
- "resourcePath": "/en/2021/blog.md",
- "preview": {
- "status": 200,
- "lastModified": "2021-05-31T23:00:00Z",
- "contentBusId": "h3-site-abc123def456abc123def456a/preview/en/2021/blog.md",
- "sourceLocation": "onedrive:/drives/b!DyVXacYnlkm/items/012VWERI4JFI",
- "sourceLastModified": "2021-05-29T21:00:00Z",
- "permissions": [
- "read"
]
}, - "links": {
}
}Updates the preview resource by fetching the latest content from the content providers (e.g. sharepoint, google docs, BYOM) and storing it in preview.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
| forceUpdateRedirects | boolean Forces an update of the redirect table. Only applies when updating or publishing |
Success response.
{- "webPath": "/en/2021/blog",
- "resourcePath": "/en/2021/blog.md",
- "preview": {
- "status": 200,
- "lastModified": "2021-05-31T23:00:00Z",
- "contentBusId": "h3-site-abc123def456abc123def456a/preview/en/2021/blog.md",
- "sourceLocation": "onedrive:/drives/b!DyVXacYnlkm/items/012VWERI4JFI",
- "sourceLastModified": "2021-05-29T21:00:00Z",
- "permissions": [
- "read",
- "write"
]
}, - "links": {
}
}Updates preview resources specified in the paths property in the payload. If a path ends with /*, it is assumed to be a folder and is recursively previewed.
By default, only new and modified resources are updated, unless the forceUpdate property is set to true.
Note that the bulk preview is performed asynchronously and this request will return information to the created job.
| org required | string Organisation name. |
| site required | string Site identifier. |
| forceUpdate | boolean forces an update of the resources during bulk-preview |
| forceAsync | boolean forces the job to be executed asynchronous, even for a small number of given paths. |
| paths required | Array of strings paths to filter the bulk preview |
| delete | boolean Default: false delete the resources from preview |
{- "paths": [
- "/en/2021/blog",
- "/en/2021/news/*"
], - "forceUpdate": false
}Success response.
{- "messageId": "37e92eec-020c-4eae-8f80-3db444c25056",
- "job": {
- "topic": "preview",
- "name": "job-123",
- "state": "created",
- "startTime": "2021-05-31T23:00:00Z",
- "data": {
- "paths": [
- "/en/2021/blog",
- "/en/2021/news/*"
]
}
}, - "links": {
}
}Returns the publish status of the respective resource.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
Success response of a published document.
{- "webPath": "/en/2021/blog",
- "resourcePath": "/en/2021/blog.md",
- "live": {
- "status": 200,
- "lastModified": "2021-05-29T22:00:00Z",
- "contentBusId": "h3-site-abc123def456abc123def456a/live/en/2021/blog.md",
- "sourceLocation": "onedrive:/drives/b!DyVXacYnlkm/items/012VWERI4JFI",
- "sourceLastModified": "2021-05-29T21:00:00Z",
- "permissions": [
- "read"
]
}, - "links": {
}
}Publish a resource by copying the resource content from the preview content-bus partition to the live content-bus partition. It additionally purges the live cdn and the byo cdn, if configured.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
| forceUpdateRedirects | boolean Forces an update of the redirect table. Only applies when updating or publishing |
| disableNotifications | boolean When set to |
Success response of the published document.
{- "webPath": "/en/2021/blog",
- "resourcePath": "/en/2021/blog.md",
- "live": {
- "status": 200,
- "lastModified": "2021-05-29T22:00:00Z",
- "contentBusId": "h3-site-abc123def456abc123def456a/live/en/2021/blog.md",
- "sourceLocation": "onedrive:/drives/b!DyVXacYnlkm/items/012VWERI4JFI",
- "sourceLastModified": "2021-05-29T21:00:00Z",
- "permissions": [
- "read",
- "write"
]
}, - "links": {
}
}Un-publish a resource by deleting the content from the live content-bus partition. It additionally purges the live cdn and the byo cdn, if configured.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
| disableNotifications | boolean When set to |
Publishes resources specified in the paths property in the payload.
By default, only new and modified resources are updated, unless the forceUpdate property is set to true.
Note that the bulk publish is performed asynchronously and this request will return information to the created job.
| org required | string Organisation name. |
| site required | string Site identifier. |
| forceUpdate | boolean forces an update of the resources during bulk-publish |
| forceAsync | boolean forces the job to be executed asynchronous, even for a small number of given paths. |
| paths required | Array of strings paths to filter the bulk publish |
| delete | boolean Default: false delete the resources from publish |
{- "paths": [
- "/en/2021/blog",
- "/en/2021/news",
- "/metadata.json"
], - "forceUpdate": false
}Success response.
{- "messageId": "37e92eec-020c-4eae-8f80-3db444c25056",
- "job": {
- "topic": "publish",
- "name": "job-123",
- "state": "created",
- "startTime": "2021-05-31T23:00:00Z",
- "data": {
- "paths": [
- "/en/2021/blog",
- "/en/2021/news",
- "/metadata.json"
]
}
}, - "links": {
}
}Creates a document in the source bus. External images are interned in the media bus and references to these images are updated. The document is also pretty-printed.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
The raw content of the document to create, its
format must be indicated by the Content-Type request header (e.g.
text/html for documents, application/json,
application/pdf, image/jpeg, etc.).
Creates or replaces a document in the content bus. The document is assumed to not have external images. If external images are present, they are rejected with a 400 error. In that case the document should be created using the POST method instead to have those images interned.
When the source query parameter is provided, copies (or moves) the document from the source path to the specified path. Set move=true to move instead of copy. The collision parameter controls behavior when the destination already exists.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
| source | string Source path for copy/move operations. When provided, the document at this path is copied (or moved) to the destination path. The value is specified rooted as an absolute path from the site root. |
| move | boolean Default: false When set to |
| collision | string Enum: "overwrite" "unique" Collision handling strategy when the destination already exists. Set to |
The raw content of the document to create. Only required when the
source query parameter is not provided; for copy/move operations the
body is omitted and the destination is populated from source instead.
When a body is provided, its format must be indicated by the
Content-Type request header (e.g. text/html for documents,
application/json, application/pdf, image/jpeg, etc.).
{- "copied": [
- {
- "src": "/a/source.html",
- "dst": "/b/target.html"
}
]
}Deletes a document by moving it to the .trash folder.
If the document is already in the trash, it is deleted permanently.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
Lists the contents of a folder (path ending with /).
Returns an array of files and subfolders sorted by name.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
[- {
- "name": "my-page.html",
- "size": 12345,
- "content-type": "text/html",
- "last-modified": "2021-05-29T21:00:00.000Z"
}, - {
- "name": "my-subfolder/",
- "content-type": "application/folder"
}
]Creates a folder in the content source (path ending with /) by placing a marker file in the folder. If the folder already exists, this operation has no effect.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
Copies or moves a folder (path ending with /) and all of its contents recursively from the location given by the source query parameter to the specified path. Set move=true to move instead of copy. The collision parameter controls behaviour when the destination already exists.
The source query parameter is required and must itself reference a folder (path ending with /); copying a file onto a folder path (or vice versa) is rejected with a 400.
No request body is accepted on this operation.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
| source required | string Source folder path (must end with |
| move | boolean Default: false When set to |
| collision | string Enum: "overwrite" "unique" Collision handling strategy when the destination already exists. Set to |
{- "copied": [
- {
- "src": "/a/page.html",
- "dst": "/b/page.html"
}, - {
- "src": "/a/sub/image.png",
- "dst": "/b/sub/image.png"
}
]
}Deletes a folder and all its contents recursively (path ending with /). All the contents of the folder and subfolders are moved to the .trash folder.
If the folder is already in the trash, it is deleted permanently.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
Creates a new version of a document. The version is created by copying the document to the version storage.
Optional query parameters operation and comment can be provided to annotate the version.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
| operation | string Operation that triggered the version creation (e.g. |
| comment | string Comment to annotate the version. |
Lists all versions of a document, ordered from oldest to newest.
To retrieve a specific version, append the version id to the path: /{org}/sites/{site}/source/{path}/.versions/{versionId}.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
[- {
- "version": "01KR1BH7753S3P1BQ78K4H2V7C",
- "doc-last-modified": "2026-05-01T09:35:32.000Z",
- "doc-path-hint": "/mypath/page10.html",
- "doc-last-modified-by": "joe@acme.org",
- "version-date": "2026-05-07T13:55:15.000Z",
- "version-by": "lar@acme.org"
}, - {
- "version": "01KR1CMJK69S309D39QMW7BAKX",
- "doc-last-modified": "2026-05-01T09:35:32.000Z",
- "doc-path-hint": "/mypath/page10.html",
- "doc-last-modified-by": "lar@acme.org",
- "version-date": "2026-05-07T14:14:33.000Z",
- "version-by": "joe@acme.org",
- "version-comment": "my cool comment",
- "version-operation": "preview"
}
]Retrieves the content of a specific version of a document. The body is
returned as-is and its format is indicated by the Content-Type response
header (the same format the document had when the version was created).
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
| versionId required | string Version identifier returned from the version listing. |
The API uses your existing Identity Provider (IDP) to authenticate users with administrative access. The general flow is that you open /login in a browser, select the IDP you want to use, and then are redirected to the IDP login page. After successful login, you are redirected back to the Admin API with an auth token in the response cookie (auth_token). This token is then used to authenticate all subsequent requests.
Alternatively, you can provide an authorization: token $API_KEY header. In order to obtain an API_KEY, use the Site Config Property API to create one.
Success response.
{- "links": {
}
}Display profile information
| org | string Organisation name (optional filter for profile). |
| site | string Site identifier (optional filter for profile). |
Success response.
{- "profile": {
- "iss": "urn:example:issuer",
- "email": "test@example.com",
- "name": "Test User",
- "ttl": 7200
},
}Returns logs for a project. If there are more logs for the timespan specified, there will be a next link in the response to load the next batch.
| org required | string Organisation name. |
| site required | string Site identifier. |
| from | string Indicates the starting date to get logs from. If not specified, uses the current date minus 15 minutes. |
| to | string Indicates the ending date to get logs from. If not specified, uses the current date. |
| since | string Example: since=5m Indicates the time span to retrieve logs for, as a number and a unit in short notation ( |
| nextToken | string Token returned from a previous call to continue |
Success response of a log request.
{- "from": "2023-11-07T14:00:00.000Z",
- "to": "2023-11-07T16:15:12.454Z",
- "entries": [
- {
- "timestamp": 1699368094644,
- "duration": 467,
- "status": 201,
- "method": "POST",
- "route": "preview",
- "path": "/my-page"
}
], - "nextToken": "ABAB==",
}Add logs to a project. The body should be in JSON format and contain an array called entries.
| org required | string Organisation name. |
| site required | string Site identifier. |
| entries required | Array of objects entries to add to the logs |
Posts one entry to the audit log.
{- "entries": [
- {
- "event": "dinner is ready"
}
]
}Returns the list of jobs for a topic
| org required | string Organisation name. |
| site required | string Site identifier. |
| topic required | string Topic of a job |
Success response of a job list.
{- "topic": "preview",
- "jobs": [
- {
- "name": "job-123",
- "state": "created",
- "time": "2021-05-31T23:00:00Z",
}, - {
- "name": "job-124",
- "state": "running",
- "time": "2021-04-30T23:00:00Z",
}
],
}Returns the job status
| org required | string Organisation name. |
| site required | string Site identifier. |
| topic required | string Topic of a job |
| jobName required | string Name of a job |
Success response.
{- "topic": "preview",
- "name": "job-123",
- "state": "created",
- "startTime": "2021-05-31T23:00:00Z",
- "progress": {
- "total": 10,
- "processed": 0,
- "failed": 0
}, - "links": {
}
}Returns the detailed job report
| org required | string Organisation name. |
| site required | string Site identifier. |
| topic required | string Topic of a job |
| jobName required | string Name of a job |
Success response.
{- "topic": "preview",
- "name": "job-123",
- "state": "created",
- "startTime": "2021-05-31T23:00:00Z",
- "progress": {
- "total": 10,
- "processed": 6,
- "failed": 4
}, - "data": {
- "paths": [
- "/documents"
]
}, - "links": {
}
}| version required | integer Default: 1 | ||||||||||||||||
| created required | string <date-time> (created) the date and time this configuration was created. | ||||||||||||||||
| lastModified required | string <date-time> (lastModified) the date and time this configuration was modified last. | ||||||||||||||||
| title | string (title) human readable title. has no influence on the configuration. | ||||||||||||||||
| description | string (description) description for clarity. has no influence on the configuration. | ||||||||||||||||
Array of objects (users) | |||||||||||||||||
Array
| |||||||||||||||||
object (groups) | |||||||||||||||||
| |||||||||||||||||
object (secrets) Defines organization level secrets. | |||||||||||||||||
| |||||||||||||||||
object (apikeys) Stores information about generated admin API keys. The keys listed here have no operational meaning, but are used to track the keys that have been generated. | |||||||||||||||||
| |||||||||||||||||
object (tokens) Deprecated site tokens. deprecated: use the org secrets instead. | |||||||||||||||||
| |||||||||||||||||
object (org-access) | |||||||||||||||||
| |||||||||||||||||
| registry | string Enum: "github" "custom" | ||||||||||||||||
{- "version": 1,
- "created": "2019-08-24T14:15:22Z",
- "lastModified": "2019-08-24T14:15:22Z",
- "title": "string",
- "description": "string",
- "users": [
- {
- "id": "string",
- "email": "string",
- "name": "string",
- "roles": [
- "admin"
]
}
], - "groups": { },
- "secrets": { },
- "apiKeys": { },
- "tokens": { },
- "access": {
- "admin": {
- "apiKeyId": [
- "string"
]
}
}, - "registry": "github"
}pattern property | object (Group) A group of members. Can be referenced in access.admin.role. | ||||||||
| |||||||||
{ }pattern property | object or object | ||||||||||||
One of
| |||||||||||||
{ }Returns the organisation level configuration.
| org required | string Organisation name. |
{- "version": 1,
- "created": "2019-08-24T14:15:22Z",
- "lastModified": "2019-08-24T14:15:22Z",
- "title": "string",
- "description": "string",
- "users": [
- {
- "id": "string",
- "email": "string",
- "name": "string",
- "roles": [
- "admin"
]
}
], - "groups": { },
- "secrets": { },
- "apiKeys": { },
- "tokens": { },
- "access": {
- "admin": {
- "apiKeyId": [
- "string"
]
}
}, - "registry": "github"
}Stores updated organisation level configuration. Creates a new version if versionName is specified.
| org required | string Organisation name. |
| versionName | string Optional label to attach to the config version created by this operation. |
| version required | integer Default: 1 | ||||||||||||||||
| created required | string <date-time> (created) the date and time this configuration was created. | ||||||||||||||||
| lastModified required | string <date-time> (lastModified) the date and time this configuration was modified last. | ||||||||||||||||
| title | string (title) human readable title. has no influence on the configuration. | ||||||||||||||||
| description | string (description) description for clarity. has no influence on the configuration. | ||||||||||||||||
Array of objects (users) | |||||||||||||||||
Array
| |||||||||||||||||
object (groups) | |||||||||||||||||
| |||||||||||||||||
object (secrets) Defines organization level secrets. | |||||||||||||||||
| |||||||||||||||||
object (apikeys) Stores information about generated admin API keys. The keys listed here have no operational meaning, but are used to track the keys that have been generated. | |||||||||||||||||
| |||||||||||||||||
object (tokens) Deprecated site tokens. deprecated: use the org secrets instead. | |||||||||||||||||
| |||||||||||||||||
object (org-access) | |||||||||||||||||
| |||||||||||||||||
| registry | string Enum: "github" "custom" | ||||||||||||||||
{- "version": 1,
- "created": "2019-08-24T14:15:22Z",
- "lastModified": "2019-08-24T14:15:22Z",
- "title": "string",
- "description": "string",
- "users": [
- {
- "id": "string",
- "email": "string",
- "name": "string",
- "roles": [
- "admin"
]
}
], - "groups": { },
- "secrets": { },
- "apiKeys": { },
- "tokens": { },
- "access": {
- "admin": {
- "apiKeyId": [
- "string"
]
}
}, - "registry": "github"
}{ }Creates the organisation level configuration. Returns 409 if a configuration already exists.
| org required | string Organisation name. |
| version required | integer Default: 1 | ||||||||||||||||
| created required | string <date-time> (created) the date and time this configuration was created. | ||||||||||||||||
| lastModified required | string <date-time> (lastModified) the date and time this configuration was modified last. | ||||||||||||||||
| title | string (title) human readable title. has no influence on the configuration. | ||||||||||||||||
| description | string (description) description for clarity. has no influence on the configuration. | ||||||||||||||||
Array of objects (users) | |||||||||||||||||
Array
| |||||||||||||||||
object (groups) | |||||||||||||||||
| |||||||||||||||||
object (secrets) Defines organization level secrets. | |||||||||||||||||
| |||||||||||||||||
object (apikeys) Stores information about generated admin API keys. The keys listed here have no operational meaning, but are used to track the keys that have been generated. | |||||||||||||||||
| |||||||||||||||||
object (tokens) Deprecated site tokens. deprecated: use the org secrets instead. | |||||||||||||||||
| |||||||||||||||||
object (org-access) | |||||||||||||||||
| |||||||||||||||||
| registry | string Enum: "github" "custom" | ||||||||||||||||
{- "version": 1,
- "created": "2019-08-24T14:15:22Z",
- "lastModified": "2019-08-24T14:15:22Z",
- "title": "string",
- "description": "string",
- "users": [
- {
- "id": "string",
- "email": "string",
- "name": "string",
- "roles": [
- "admin"
]
}
], - "groups": { },
- "secrets": { },
- "apiKeys": { },
- "tokens": { },
- "access": {
- "admin": {
- "apiKeyId": [
- "string"
]
}
}, - "registry": "github"
}Returns the profile names for this organisation.
| org required | string Organisation name. |
| details | boolean Show detailed information about the resources in the list |
{- "profiles": [
- {
- "name": "string"
}
]
}Returns the site names for this organisation.
| org required | string Organisation name. |
| details | boolean Show detailed information about the resources in the list |
{- "sites": [
- {
- "name": "string"
}
]
}Please note that most of the configuration objects that have an explicit schema can also be addressed directly, even if not listed in this documentation.
For example the production CDN configuration can be managed via the /{org}/sites/{site}/config/cdn/prod.json endpoint.
| version required | integer Default: 1 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| name | string^[a-z0-9]+(?:-[a-z0-9]+)*$ Site name; part of the hostname | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| title | string (title) human readable title. has no influence on the configuration. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| description | string (description) description for clarity. has no influence on the configuration. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| created required | string <date-time> (created) the date and time this configuration was created. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| lastModified required | string <date-time> (lastModified) the date and time this configuration was modified last. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
required | object (content) Defines the content bus location and source. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
required | object (code) Defines the code bus location and source. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (folders) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (headers) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (cdn) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (access) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (tokens) Deprecated site tokens. deprecated: use the org secrets instead. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (secrets) Defines organization level secrets. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (apikeys) Stores information about generated admin API keys. The keys listed here have no operational meaning, but are used to track the keys that have been generated. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (groups) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (sidekick) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (metadata-source) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (robots) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| public | object (public) Public configuration | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (events) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (features) Features configuration | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (limits) Features configuration | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
{- "version": 1,
- "name": "string",
- "title": "string",
- "description": "string",
- "created": "2019-08-24T14:15:22Z",
- "lastModified": "2019-08-24T14:15:22Z",
- "content": {
- "title": "string",
- "description": "string",
- "contentBusId": "string",
}, - "code": {
- "title": "string",
- "description": "string",
- "owner": "string",
- "repo": "string",
- "source": {
- "type": "github",
- "secretId": "string",
- "owner": "string",
- "repo": "string"
}
}, - "folders": { },
- "headers": { },
- "cdn": {
- "prod": {
- "type": "fastly",
- "host": "string",
- "route": [
- "string"
], - "serviceId": "string",
- "authToken": "string"
}, - "live": {
- "host": "main--$repo--page.example.com"
}, - "preview": {
- "host": "main--$repo--live.example.com"
}, - "review": {
- "host": "example.reviews"
}
}, - "access": {
- "admin": {
- "role": { },
- "requireAuth": "auto",
- "defaultRole": [
- "admin"
], - "apiKeyId": [
- "string"
]
}, - "site": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "preview": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "live": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}
}, - "tokens": { },
- "secrets": { },
- "apiKeys": { },
- "groups": { },
- "sidekick": {
- "editUrlLabel": "string",
- "editUrlPattern": "string",
- "host": "example.com",
- "liveHost": "example.com",
- "plugins": [
- {
- "badgeVariant": "gray",
- "containerId": "string",
- "environments": "any",
- "event": "string",
- "excludePaths": [
- "string"
], - "id": "string",
- "includePaths": [
- "string"
], - "isBadge": true,
- "isContainer": true,
- "isPalette": true,
- "isPopover": true,
- "paletteRect": "top: 100px; right: 20px; width: 200px; height: 50vh",
- "passConfig": true,
- "passReferrer": true,
- "pinned": true,
- "popoverRect": "width: 400px; height: 300px",
- "title": "string",
- "titleI18n": { },
- "url": "string"
}
], - "previewHost": "example.com",
- "project": "string",
- "reviewHost": "example.com",
- "specialViews": [
- {
- "id": "string",
- "path": "/foo/**.json",
- "title": "string",
- "viewer": "/tools/sidekick/foo/index.html"
}
], - "trustedHosts": [
- "string"
], - "wordSaveDelay": 0
}, - "metadata": {
- "source": [
- "string"
]
}, - "robots": {
- "txt": "string"
}, - "public": { },
- "events": {
- "github": {
- "target": "string"
}
}, - "features": { },
- "limits": { },
- "extends": {
- "profile": "string"
}
}object (Role) | |||
| |||
boolean or string Default: "auto" Enforce authentication if set to true. If set to 'auto' it will enforce authentication if a role mapping is defined. defaults to 'auto'. | |||
One of boolean Default: "auto" Enforce authentication if set to true. If set to 'auto' it will enforce authentication if a role mapping is defined. defaults to 'auto'. | |||
| defaultRole | Array of strings Items Enum: "admin" "author" "publish" "develop" "basic_author" "basic_publish" "config" "config_admin" the default roles assigned to the users. defaults to | ||
| apiKeyId | Array of strings the id of the API key(s). this is used to validate the API KEYS and allows to invalidate them. | ||
{- "role": { },
- "requireAuth": "auto",
- "defaultRole": [
- "admin"
], - "apiKeyId": [
- "string"
]
}| allow | Array of strings The email glob of the users or a group reference that are allowed access |
| secretId | Array of strings[ items^[a-zA-Z0-9-_=+/]+$ ] IDs of the hashed secrets that are allowed. |
| apiKeyId | Array of strings Deprecated IDs of the api keys that are allowed. This is deprecated. use |
{- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}object (access-admin) | |||||||||||||||
| |||||||||||||||
object (access-site) | |||||||||||||||
| |||||||||||||||
object (access-site) | |||||||||||||||
| |||||||||||||||
object (access-site) | |||||||||||||||
| |||||||||||||||
{- "admin": {
- "role": { },
- "requireAuth": "auto",
- "defaultRole": [
- "admin"
], - "apiKeyId": [
- "string"
]
}, - "site": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "preview": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "live": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}
}Fastly CDN Config (object) or Cloudflare CDN Config (object) or Akamai CDN Config (object) or Managed CDN Config (object) or Cloudfront CDN Config (object) or EmptyConfig (object) | |||||||||||
One of
| |||||||||||
object | |||||||||||
| |||||||||||
object | |||||||||||
| |||||||||||
object | |||||||||||
| |||||||||||
{- "prod": {
- "type": "fastly",
- "host": "string",
- "route": [
- "string"
], - "serviceId": "string",
- "authToken": "string"
}, - "live": {
- "host": "main--$repo--page.example.com"
}, - "preview": {
- "host": "main--$repo--live.example.com"
}, - "review": {
- "host": "example.reviews"
}
}| title | string (title) human readable title. has no influence on the configuration. | ||||||||||||
| description | string (description) description for clarity. has no influence on the configuration. | ||||||||||||
| owner required | string^[a-zA-Z0-9_-]+$ | ||||||||||||
| repo required | string^[a-zA-Z0-9_-]+$ | ||||||||||||
required | object | ||||||||||||
| |||||||||||||
{- "title": "string",
- "description": "string",
- "owner": "string",
- "repo": "string",
- "source": {
- "type": "github",
- "secretId": "string",
- "owner": "string",
- "repo": "string"
}
}| title | string (title) human readable title. has no influence on the configuration. | ||||||
| description | string (description) description for clarity. has no influence on the configuration. | ||||||
| contentBusId required | string | ||||||
required | Google Content Source (object) or Onedrive Content Source (object) or Markup Content Source (object) | ||||||
One of
| |||||||
Markup Content Source (object) Overlay from a BYOM source. Previewing resources will try the overlay source first. Please note, that the overlay config is tied to the base content and not to the site config. I.e. it's not possible to have multiple sites with different overlays on the same base content. | |||||||
One of
| |||||||
{- "title": "string",
- "description": "string",
- "contentBusId": "string",
}pattern property | Array of objects (keyValuePair) | ||||
Array
| |||||
{ }pattern property | object (Group) A group of members. Can be referenced in access.admin.role. | ||||||||
| |||||||||
{ }| editUrlLabel | string The label of the custom editing environment. | ||||||||||||||||||||||||||||||||||||||||
| editUrlPattern | string The URL pattern for the custom editing environment. Supports placeholders like {{contentSourceUrl}} or {{pathname}}. | ||||||||||||||||||||||||||||||||||||||||
| host | string <hostname> The host name of the production website (overrides cdn.prod.host) | ||||||||||||||||||||||||||||||||||||||||
| liveHost | string <hostname> The host name of the live environment (overrides cdn.live.host, defaults to *.aem.live) | ||||||||||||||||||||||||||||||||||||||||
Array of objects (sidekickPlugin) | |||||||||||||||||||||||||||||||||||||||||
Array
| |||||||||||||||||||||||||||||||||||||||||
| previewHost | string <hostname> The host name of the preview environment (overrides cdn.preview.host, defaults to *.aem.page) | ||||||||||||||||||||||||||||||||||||||||
| project | string The name of the project to display in the sidekick | ||||||||||||||||||||||||||||||||||||||||
| reviewHost | string <hostname> The host name of the review environment (overrides cdn.review.host, defaults to *.aem.reviews) | ||||||||||||||||||||||||||||||||||||||||
Array of objects (sidekickSpecialView) | |||||||||||||||||||||||||||||||||||||||||
Array
| |||||||||||||||||||||||||||||||||||||||||
| trustedHosts | Array of strings Additional hosts that are trusted to use the sidekick authentication | ||||||||||||||||||||||||||||||||||||||||
| wordSaveDelay | number The delay to wait for Word to save the document before previewing (defaults to 1500) | ||||||||||||||||||||||||||||||||||||||||
{- "editUrlLabel": "string",
- "editUrlPattern": "string",
- "host": "example.com",
- "liveHost": "example.com",
- "plugins": [
- {
- "badgeVariant": "gray",
- "containerId": "string",
- "environments": "any",
- "event": "string",
- "excludePaths": [
- "string"
], - "id": "string",
- "includePaths": [
- "string"
], - "isBadge": true,
- "isContainer": true,
- "isPalette": true,
- "isPopover": true,
- "paletteRect": "top: 100px; right: 20px; width: 200px; height: 50vh",
- "passConfig": true,
- "passReferrer": true,
- "pinned": true,
- "popoverRect": "width: 400px; height: 300px",
- "title": "string",
- "titleI18n": { },
- "url": "string"
}
], - "previewHost": "example.com",
- "project": "string",
- "reviewHost": "example.com",
- "specialViews": [
- {
- "id": "string",
- "path": "/foo/**.json",
- "title": "string",
- "viewer": "/tools/sidekick/foo/index.html"
}
], - "trustedHosts": [
- "string"
], - "wordSaveDelay": 0
}pattern property | object | ||||||
| |||||||
{ }pattern property | object or object | ||||||||||||
One of
| |||||||||||||
{ }Returns the site level configuration.
| org required | string Organisation name. |
| site required | string Site identifier. |
{- "version": 1,
- "name": "string",
- "title": "string",
- "description": "string",
- "created": "2019-08-24T14:15:22Z",
- "lastModified": "2019-08-24T14:15:22Z",
- "content": {
- "title": "string",
- "description": "string",
- "contentBusId": "string",
}, - "code": {
- "title": "string",
- "description": "string",
- "owner": "string",
- "repo": "string",
- "source": {
- "type": "github",
- "secretId": "string",
- "owner": "string",
- "repo": "string"
}
}, - "folders": { },
- "headers": { },
- "cdn": {
- "prod": {
- "type": "fastly",
- "host": "string",
- "route": [
- "string"
], - "serviceId": "string",
- "authToken": "string"
}, - "live": {
- "host": "main--$repo--page.example.com"
}, - "preview": {
- "host": "main--$repo--live.example.com"
}, - "review": {
- "host": "example.reviews"
}
}, - "access": {
- "admin": {
- "role": { },
- "requireAuth": "auto",
- "defaultRole": [
- "admin"
], - "apiKeyId": [
- "string"
]
}, - "site": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "preview": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "live": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}
}, - "tokens": { },
- "secrets": { },
- "apiKeys": { },
- "groups": { },
- "sidekick": {
- "editUrlLabel": "string",
- "editUrlPattern": "string",
- "host": "example.com",
- "liveHost": "example.com",
- "plugins": [
- {
- "badgeVariant": "gray",
- "containerId": "string",
- "environments": "any",
- "event": "string",
- "excludePaths": [
- "string"
], - "id": "string",
- "includePaths": [
- "string"
], - "isBadge": true,
- "isContainer": true,
- "isPalette": true,
- "isPopover": true,
- "paletteRect": "top: 100px; right: 20px; width: 200px; height: 50vh",
- "passConfig": true,
- "passReferrer": true,
- "pinned": true,
- "popoverRect": "width: 400px; height: 300px",
- "title": "string",
- "titleI18n": { },
- "url": "string"
}
], - "previewHost": "example.com",
- "project": "string",
- "reviewHost": "example.com",
- "specialViews": [
- {
- "id": "string",
- "path": "/foo/**.json",
- "title": "string",
- "viewer": "/tools/sidekick/foo/index.html"
}
], - "trustedHosts": [
- "string"
], - "wordSaveDelay": 0
}, - "metadata": {
- "source": [
- "string"
]
}, - "robots": {
- "txt": "string"
}, - "public": { },
- "events": {
- "github": {
- "target": "string"
}
}, - "features": { },
- "limits": { },
- "extends": {
- "profile": "string"
}
}Stores new site configuration.
| org required | string Organisation name. |
| site required | string Site identifier. |
| versionName | string Optional label to attach to the config version created by this operation. |
| version required | integer Default: 1 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| name | string^[a-z0-9]+(?:-[a-z0-9]+)*$ Site name; part of the hostname | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| title | string (title) human readable title. has no influence on the configuration. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| description | string (description) description for clarity. has no influence on the configuration. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| created required | string <date-time> (created) the date and time this configuration was created. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| lastModified required | string <date-time> (lastModified) the date and time this configuration was modified last. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
required | object (content) Defines the content bus location and source. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
required | object (code) Defines the code bus location and source. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (folders) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (headers) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (cdn) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (access) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (tokens) Deprecated site tokens. deprecated: use the org secrets instead. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (secrets) Defines organization level secrets. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (apikeys) Stores information about generated admin API keys. The keys listed here have no operational meaning, but are used to track the keys that have been generated. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (groups) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (sidekick) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (metadata-source) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (robots) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| public | object (public) Public configuration | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (events) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (features) Features configuration | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (limits) Features configuration | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
{- "version": 1,
- "name": "string",
- "title": "string",
- "description": "string",
- "created": "2019-08-24T14:15:22Z",
- "lastModified": "2019-08-24T14:15:22Z",
- "content": {
- "title": "string",
- "description": "string",
- "contentBusId": "string",
}, - "code": {
- "title": "string",
- "description": "string",
- "owner": "string",
- "repo": "string",
- "source": {
- "type": "github",
- "secretId": "string",
- "owner": "string",
- "repo": "string"
}
}, - "folders": { },
- "headers": { },
- "cdn": {
- "prod": {
- "type": "fastly",
- "host": "string",
- "route": [
- "string"
], - "serviceId": "string",
- "authToken": "string"
}, - "live": {
- "host": "main--$repo--page.example.com"
}, - "preview": {
- "host": "main--$repo--live.example.com"
}, - "review": {
- "host": "example.reviews"
}
}, - "access": {
- "admin": {
- "role": { },
- "requireAuth": "auto",
- "defaultRole": [
- "admin"
], - "apiKeyId": [
- "string"
]
}, - "site": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "preview": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "live": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}
}, - "tokens": { },
- "secrets": { },
- "apiKeys": { },
- "groups": { },
- "sidekick": {
- "editUrlLabel": "string",
- "editUrlPattern": "string",
- "host": "example.com",
- "liveHost": "example.com",
- "plugins": [
- {
- "badgeVariant": "gray",
- "containerId": "string",
- "environments": "any",
- "event": "string",
- "excludePaths": [
- "string"
], - "id": "string",
- "includePaths": [
- "string"
], - "isBadge": true,
- "isContainer": true,
- "isPalette": true,
- "isPopover": true,
- "paletteRect": "top: 100px; right: 20px; width: 200px; height: 50vh",
- "passConfig": true,
- "passReferrer": true,
- "pinned": true,
- "popoverRect": "width: 400px; height: 300px",
- "title": "string",
- "titleI18n": { },
- "url": "string"
}
], - "previewHost": "example.com",
- "project": "string",
- "reviewHost": "example.com",
- "specialViews": [
- {
- "id": "string",
- "path": "/foo/**.json",
- "title": "string",
- "viewer": "/tools/sidekick/foo/index.html"
}
], - "trustedHosts": [
- "string"
], - "wordSaveDelay": 0
}, - "metadata": {
- "source": [
- "string"
]
}, - "robots": {
- "txt": "string"
}, - "public": { },
- "events": {
- "github": {
- "target": "string"
}
}, - "features": { },
- "limits": { },
- "extends": {
- "profile": "string"
}
}{- "version": 1,
- "name": "string",
- "title": "string",
- "description": "string",
- "created": "2019-08-24T14:15:22Z",
- "lastModified": "2019-08-24T14:15:22Z",
- "content": {
- "title": "string",
- "description": "string",
- "contentBusId": "string",
}, - "code": {
- "title": "string",
- "description": "string",
- "owner": "string",
- "repo": "string",
- "source": {
- "type": "github",
- "secretId": "string",
- "owner": "string",
- "repo": "string"
}
}, - "folders": { },
- "headers": { },
- "cdn": {
- "prod": {
- "type": "fastly",
- "host": "string",
- "route": [
- "string"
], - "serviceId": "string",
- "authToken": "string"
}, - "live": {
- "host": "main--$repo--page.example.com"
}, - "preview": {
- "host": "main--$repo--live.example.com"
}, - "review": {
- "host": "example.reviews"
}
}, - "access": {
- "admin": {
- "role": { },
- "requireAuth": "auto",
- "defaultRole": [
- "admin"
], - "apiKeyId": [
- "string"
]
}, - "site": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "preview": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "live": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}
}, - "tokens": { },
- "secrets": { },
- "apiKeys": { },
- "groups": { },
- "sidekick": {
- "editUrlLabel": "string",
- "editUrlPattern": "string",
- "host": "example.com",
- "liveHost": "example.com",
- "plugins": [
- {
- "badgeVariant": "gray",
- "containerId": "string",
- "environments": "any",
- "event": "string",
- "excludePaths": [
- "string"
], - "id": "string",
- "includePaths": [
- "string"
], - "isBadge": true,
- "isContainer": true,
- "isPalette": true,
- "isPopover": true,
- "paletteRect": "top: 100px; right: 20px; width: 200px; height: 50vh",
- "passConfig": true,
- "passReferrer": true,
- "pinned": true,
- "popoverRect": "width: 400px; height: 300px",
- "title": "string",
- "titleI18n": { },
- "url": "string"
}
], - "previewHost": "example.com",
- "project": "string",
- "reviewHost": "example.com",
- "specialViews": [
- {
- "id": "string",
- "path": "/foo/**.json",
- "title": "string",
- "viewer": "/tools/sidekick/foo/index.html"
}
], - "trustedHosts": [
- "string"
], - "wordSaveDelay": 0
}, - "metadata": {
- "source": [
- "string"
]
}, - "robots": {
- "txt": "string"
}, - "public": { },
- "events": {
- "github": {
- "target": "string"
}
}, - "features": { },
- "limits": { },
- "extends": {
- "profile": "string"
}
}Creates the site level configuration. Returns 409 if a configuration already exists.
| org required | string Organisation name. |
| site required | string Site identifier. |
| version required | integer Default: 1 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| name | string^[a-z0-9]+(?:-[a-z0-9]+)*$ Site name; part of the hostname | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| title | string (title) human readable title. has no influence on the configuration. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| description | string (description) description for clarity. has no influence on the configuration. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| created required | string <date-time> (created) the date and time this configuration was created. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| lastModified required | string <date-time> (lastModified) the date and time this configuration was modified last. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
required | object (content) Defines the content bus location and source. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
required | object (code) Defines the code bus location and source. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (folders) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (headers) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (cdn) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (access) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (tokens) Deprecated site tokens. deprecated: use the org secrets instead. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (secrets) Defines organization level secrets. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (apikeys) Stores information about generated admin API keys. The keys listed here have no operational meaning, but are used to track the keys that have been generated. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (groups) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (sidekick) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (metadata-source) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (robots) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| public | object (public) Public configuration | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (events) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (features) Features configuration | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (limits) Features configuration | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
{- "version": 1,
- "name": "string",
- "title": "string",
- "description": "string",
- "created": "2019-08-24T14:15:22Z",
- "lastModified": "2019-08-24T14:15:22Z",
- "content": {
- "title": "string",
- "description": "string",
- "contentBusId": "string",
}, - "code": {
- "title": "string",
- "description": "string",
- "owner": "string",
- "repo": "string",
- "source": {
- "type": "github",
- "secretId": "string",
- "owner": "string",
- "repo": "string"
}
}, - "folders": { },
- "headers": { },
- "cdn": {
- "prod": {
- "type": "fastly",
- "host": "string",
- "route": [
- "string"
], - "serviceId": "string",
- "authToken": "string"
}, - "live": {
- "host": "main--$repo--page.example.com"
}, - "preview": {
- "host": "main--$repo--live.example.com"
}, - "review": {
- "host": "example.reviews"
}
}, - "access": {
- "admin": {
- "role": { },
- "requireAuth": "auto",
- "defaultRole": [
- "admin"
], - "apiKeyId": [
- "string"
]
}, - "site": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "preview": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "live": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}
}, - "tokens": { },
- "secrets": { },
- "apiKeys": { },
- "groups": { },
- "sidekick": {
- "editUrlLabel": "string",
- "editUrlPattern": "string",
- "host": "example.com",
- "liveHost": "example.com",
- "plugins": [
- {
- "badgeVariant": "gray",
- "containerId": "string",
- "environments": "any",
- "event": "string",
- "excludePaths": [
- "string"
], - "id": "string",
- "includePaths": [
- "string"
], - "isBadge": true,
- "isContainer": true,
- "isPalette": true,
- "isPopover": true,
- "paletteRect": "top: 100px; right: 20px; width: 200px; height: 50vh",
- "passConfig": true,
- "passReferrer": true,
- "pinned": true,
- "popoverRect": "width: 400px; height: 300px",
- "title": "string",
- "titleI18n": { },
- "url": "string"
}
], - "previewHost": "example.com",
- "project": "string",
- "reviewHost": "example.com",
- "specialViews": [
- {
- "id": "string",
- "path": "/foo/**.json",
- "title": "string",
- "viewer": "/tools/sidekick/foo/index.html"
}
], - "trustedHosts": [
- "string"
], - "wordSaveDelay": 0
}, - "metadata": {
- "source": [
- "string"
]
}, - "robots": {
- "txt": "string"
}, - "public": { },
- "events": {
- "github": {
- "target": "string"
}
}, - "features": { },
- "limits": { },
- "extends": {
- "profile": "string"
}
}{- "version": 1,
- "name": "string",
- "title": "string",
- "description": "string",
- "created": "2019-08-24T14:15:22Z",
- "lastModified": "2019-08-24T14:15:22Z",
- "content": {
- "title": "string",
- "description": "string",
- "contentBusId": "string",
}, - "code": {
- "title": "string",
- "description": "string",
- "owner": "string",
- "repo": "string",
- "source": {
- "type": "github",
- "secretId": "string",
- "owner": "string",
- "repo": "string"
}
}, - "folders": { },
- "headers": { },
- "cdn": {
- "prod": {
- "type": "fastly",
- "host": "string",
- "route": [
- "string"
], - "serviceId": "string",
- "authToken": "string"
}, - "live": {
- "host": "main--$repo--page.example.com"
}, - "preview": {
- "host": "main--$repo--live.example.com"
}, - "review": {
- "host": "example.reviews"
}
}, - "access": {
- "admin": {
- "role": { },
- "requireAuth": "auto",
- "defaultRole": [
- "admin"
], - "apiKeyId": [
- "string"
]
}, - "site": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "preview": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "live": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}
}, - "tokens": { },
- "secrets": { },
- "apiKeys": { },
- "groups": { },
- "sidekick": {
- "editUrlLabel": "string",
- "editUrlPattern": "string",
- "host": "example.com",
- "liveHost": "example.com",
- "plugins": [
- {
- "badgeVariant": "gray",
- "containerId": "string",
- "environments": "any",
- "event": "string",
- "excludePaths": [
- "string"
], - "id": "string",
- "includePaths": [
- "string"
], - "isBadge": true,
- "isContainer": true,
- "isPalette": true,
- "isPopover": true,
- "paletteRect": "top: 100px; right: 20px; width: 200px; height: 50vh",
- "passConfig": true,
- "passReferrer": true,
- "pinned": true,
- "popoverRect": "width: 400px; height: 300px",
- "title": "string",
- "titleI18n": { },
- "url": "string"
}
], - "previewHost": "example.com",
- "project": "string",
- "reviewHost": "example.com",
- "specialViews": [
- {
- "id": "string",
- "path": "/foo/**.json",
- "title": "string",
- "viewer": "/tools/sidekick/foo/index.html"
}
], - "trustedHosts": [
- "string"
], - "wordSaveDelay": 0
}, - "metadata": {
- "source": [
- "string"
]
}, - "robots": {
- "txt": "string"
}, - "public": { },
- "events": {
- "github": {
- "target": "string"
}
}, - "features": { },
- "limits": { },
- "extends": {
- "profile": "string"
}
}Returns a sub-property of the site level configuration.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
{ }Please note that most of the configuration objects that have an explicit schema can also be addressed directly, even if not listed in this documentation.
For example the production CDN configuration can be managed via the /{org}/profiles/{profile}/config/cdn/prod.json endpoint.
| version required | integer Default: 1 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| title | string (title) human readable title. has no influence on the configuration. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| description | string (description) description for clarity. has no influence on the configuration. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| created required | string <date-time> (created) the date and time this configuration was created. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| lastModified required | string <date-time> (lastModified) the date and time this configuration was modified last. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (content) Defines the content bus location and source. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (code) Defines the code bus location and source. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (folders) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (headers) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (cdn) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (access) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (tokens) Deprecated site tokens. deprecated: use the org secrets instead. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (secrets) Defines organization level secrets. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (groups) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (sidekick) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (metadata-source) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (robots) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| public | object (public) Public configuration | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (events) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (features) Features configuration | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (limits) Features configuration | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
{- "version": 1,
- "title": "string",
- "description": "string",
- "created": "2019-08-24T14:15:22Z",
- "lastModified": "2019-08-24T14:15:22Z",
- "content": {
- "title": "string",
- "description": "string",
- "contentBusId": "string",
}, - "code": {
- "title": "string",
- "description": "string",
- "owner": "string",
- "repo": "string",
- "source": {
- "type": "github",
- "secretId": "string",
- "owner": "string",
- "repo": "string"
}
}, - "folders": { },
- "headers": { },
- "cdn": {
- "prod": {
- "type": "fastly",
- "host": "string",
- "route": [
- "string"
], - "serviceId": "string",
- "authToken": "string"
}, - "live": {
- "host": "main--$repo--page.example.com"
}, - "preview": {
- "host": "main--$repo--live.example.com"
}, - "review": {
- "host": "example.reviews"
}
}, - "access": {
- "admin": {
- "role": { },
- "requireAuth": "auto",
- "defaultRole": [
- "admin"
], - "apiKeyId": [
- "string"
]
}, - "site": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "preview": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "live": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}
}, - "tokens": { },
- "secrets": { },
- "groups": { },
- "sidekick": {
- "editUrlLabel": "string",
- "editUrlPattern": "string",
- "host": "example.com",
- "liveHost": "example.com",
- "plugins": [
- {
- "badgeVariant": "gray",
- "containerId": "string",
- "environments": "any",
- "event": "string",
- "excludePaths": [
- "string"
], - "id": "string",
- "includePaths": [
- "string"
], - "isBadge": true,
- "isContainer": true,
- "isPalette": true,
- "isPopover": true,
- "paletteRect": "top: 100px; right: 20px; width: 200px; height: 50vh",
- "passConfig": true,
- "passReferrer": true,
- "pinned": true,
- "popoverRect": "width: 400px; height: 300px",
- "title": "string",
- "titleI18n": { },
- "url": "string"
}
], - "previewHost": "example.com",
- "project": "string",
- "reviewHost": "example.com",
- "specialViews": [
- {
- "id": "string",
- "path": "/foo/**.json",
- "title": "string",
- "viewer": "/tools/sidekick/foo/index.html"
}
], - "trustedHosts": [
- "string"
], - "wordSaveDelay": 0
}, - "metadata": {
- "source": [
- "string"
]
}, - "robots": {
- "txt": "string"
}, - "public": { },
- "events": {
- "github": {
- "target": "string"
}
}, - "features": { },
- "limits": { }
}required | Array of objects | ||
Array
| |||
{- "profiles": [
- {
- "name": "string"
}
]
}object (Role) | |||
| |||
boolean or string Default: "auto" Enforce authentication if set to true. If set to 'auto' it will enforce authentication if a role mapping is defined. defaults to 'auto'. | |||
One of boolean Default: "auto" Enforce authentication if set to true. If set to 'auto' it will enforce authentication if a role mapping is defined. defaults to 'auto'. | |||
| defaultRole | Array of strings Items Enum: "admin" "author" "publish" "develop" "basic_author" "basic_publish" "config" "config_admin" the default roles assigned to the users. defaults to | ||
| apiKeyId | Array of strings the id of the API key(s). this is used to validate the API KEYS and allows to invalidate them. | ||
{- "role": { },
- "requireAuth": "auto",
- "defaultRole": [
- "admin"
], - "apiKeyId": [
- "string"
]
}| allow | Array of strings The email glob of the users or a group reference that are allowed access |
| secretId | Array of strings[ items^[a-zA-Z0-9-_=+/]+$ ] IDs of the hashed secrets that are allowed. |
| apiKeyId | Array of strings Deprecated IDs of the api keys that are allowed. This is deprecated. use |
{- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}object (access-admin) | |||||||||||||||
| |||||||||||||||
object (access-site) | |||||||||||||||
| |||||||||||||||
object (access-site) | |||||||||||||||
| |||||||||||||||
object (access-site) | |||||||||||||||
| |||||||||||||||
{- "admin": {
- "role": { },
- "requireAuth": "auto",
- "defaultRole": [
- "admin"
], - "apiKeyId": [
- "string"
]
}, - "site": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "preview": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "live": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}
}Fastly CDN Config (object) or Cloudflare CDN Config (object) or Akamai CDN Config (object) or Managed CDN Config (object) or Cloudfront CDN Config (object) or EmptyConfig (object) | |||||||||||
One of
| |||||||||||
object | |||||||||||
| |||||||||||
object | |||||||||||
| |||||||||||
object | |||||||||||
| |||||||||||
{- "prod": {
- "type": "fastly",
- "host": "string",
- "route": [
- "string"
], - "serviceId": "string",
- "authToken": "string"
}, - "live": {
- "host": "main--$repo--page.example.com"
}, - "preview": {
- "host": "main--$repo--live.example.com"
}, - "review": {
- "host": "example.reviews"
}
}| title | string (title) human readable title. has no influence on the configuration. | ||||||||||||
| description | string (description) description for clarity. has no influence on the configuration. | ||||||||||||
| owner required | string^[a-zA-Z0-9_-]+$ | ||||||||||||
| repo required | string^[a-zA-Z0-9_-]+$ | ||||||||||||
required | object | ||||||||||||
| |||||||||||||
{- "title": "string",
- "description": "string",
- "owner": "string",
- "repo": "string",
- "source": {
- "type": "github",
- "secretId": "string",
- "owner": "string",
- "repo": "string"
}
}| title | string (title) human readable title. has no influence on the configuration. | ||||||
| description | string (description) description for clarity. has no influence on the configuration. | ||||||
| contentBusId required | string | ||||||
required | Google Content Source (object) or Onedrive Content Source (object) or Markup Content Source (object) | ||||||
One of
| |||||||
Markup Content Source (object) Overlay from a BYOM source. Previewing resources will try the overlay source first. Please note, that the overlay config is tied to the base content and not to the site config. I.e. it's not possible to have multiple sites with different overlays on the same base content. | |||||||
One of
| |||||||
{- "title": "string",
- "description": "string",
- "contentBusId": "string",
}pattern property | Array of objects (keyValuePair) | ||||
Array
| |||||
{ }| editUrlLabel | string The label of the custom editing environment. | ||||||||||||||||||||||||||||||||||||||||
| editUrlPattern | string The URL pattern for the custom editing environment. Supports placeholders like {{contentSourceUrl}} or {{pathname}}. | ||||||||||||||||||||||||||||||||||||||||
| host | string <hostname> The host name of the production website (overrides cdn.prod.host) | ||||||||||||||||||||||||||||||||||||||||
| liveHost | string <hostname> The host name of the live environment (overrides cdn.live.host, defaults to *.aem.live) | ||||||||||||||||||||||||||||||||||||||||
Array of objects (sidekickPlugin) | |||||||||||||||||||||||||||||||||||||||||
Array
| |||||||||||||||||||||||||||||||||||||||||
| previewHost | string <hostname> The host name of the preview environment (overrides cdn.preview.host, defaults to *.aem.page) | ||||||||||||||||||||||||||||||||||||||||
| project | string The name of the project to display in the sidekick | ||||||||||||||||||||||||||||||||||||||||
| reviewHost | string <hostname> The host name of the review environment (overrides cdn.review.host, defaults to *.aem.reviews) | ||||||||||||||||||||||||||||||||||||||||
Array of objects (sidekickSpecialView) | |||||||||||||||||||||||||||||||||||||||||
Array
| |||||||||||||||||||||||||||||||||||||||||
| trustedHosts | Array of strings Additional hosts that are trusted to use the sidekick authentication | ||||||||||||||||||||||||||||||||||||||||
| wordSaveDelay | number The delay to wait for Word to save the document before previewing (defaults to 1500) | ||||||||||||||||||||||||||||||||||||||||
{- "editUrlLabel": "string",
- "editUrlPattern": "string",
- "host": "example.com",
- "liveHost": "example.com",
- "plugins": [
- {
- "badgeVariant": "gray",
- "containerId": "string",
- "environments": "any",
- "event": "string",
- "excludePaths": [
- "string"
], - "id": "string",
- "includePaths": [
- "string"
], - "isBadge": true,
- "isContainer": true,
- "isPalette": true,
- "isPopover": true,
- "paletteRect": "top: 100px; right: 20px; width: 200px; height: 50vh",
- "passConfig": true,
- "passReferrer": true,
- "pinned": true,
- "popoverRect": "width: 400px; height: 300px",
- "title": "string",
- "titleI18n": { },
- "url": "string"
}
], - "previewHost": "example.com",
- "project": "string",
- "reviewHost": "example.com",
- "specialViews": [
- {
- "id": "string",
- "path": "/foo/**.json",
- "title": "string",
- "viewer": "/tools/sidekick/foo/index.html"
}
], - "trustedHosts": [
- "string"
], - "wordSaveDelay": 0
}pattern property | object | ||||||
| |||||||
{ }pattern property | object or object | ||||||||||||
One of
| |||||||||||||
{ }Returns the profile level configuration.
| org required | string Organisation name. |
| profile required | string Profile name. |
{- "version": 1,
- "title": "string",
- "description": "string",
- "created": "2019-08-24T14:15:22Z",
- "lastModified": "2019-08-24T14:15:22Z",
- "content": {
- "title": "string",
- "description": "string",
- "contentBusId": "string",
}, - "code": {
- "title": "string",
- "description": "string",
- "owner": "string",
- "repo": "string",
- "source": {
- "type": "github",
- "secretId": "string",
- "owner": "string",
- "repo": "string"
}
}, - "folders": { },
- "headers": { },
- "cdn": {
- "prod": {
- "type": "fastly",
- "host": "string",
- "route": [
- "string"
], - "serviceId": "string",
- "authToken": "string"
}, - "live": {
- "host": "main--$repo--page.example.com"
}, - "preview": {
- "host": "main--$repo--live.example.com"
}, - "review": {
- "host": "example.reviews"
}
}, - "access": {
- "admin": {
- "role": { },
- "requireAuth": "auto",
- "defaultRole": [
- "admin"
], - "apiKeyId": [
- "string"
]
}, - "site": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "preview": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "live": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}
}, - "tokens": { },
- "secrets": { },
- "groups": { },
- "sidekick": {
- "editUrlLabel": "string",
- "editUrlPattern": "string",
- "host": "example.com",
- "liveHost": "example.com",
- "plugins": [
- {
- "badgeVariant": "gray",
- "containerId": "string",
- "environments": "any",
- "event": "string",
- "excludePaths": [
- "string"
], - "id": "string",
- "includePaths": [
- "string"
], - "isBadge": true,
- "isContainer": true,
- "isPalette": true,
- "isPopover": true,
- "paletteRect": "top: 100px; right: 20px; width: 200px; height: 50vh",
- "passConfig": true,
- "passReferrer": true,
- "pinned": true,
- "popoverRect": "width: 400px; height: 300px",
- "title": "string",
- "titleI18n": { },
- "url": "string"
}
], - "previewHost": "example.com",
- "project": "string",
- "reviewHost": "example.com",
- "specialViews": [
- {
- "id": "string",
- "path": "/foo/**.json",
- "title": "string",
- "viewer": "/tools/sidekick/foo/index.html"
}
], - "trustedHosts": [
- "string"
], - "wordSaveDelay": 0
}, - "metadata": {
- "source": [
- "string"
]
}, - "robots": {
- "txt": "string"
}, - "public": { },
- "events": {
- "github": {
- "target": "string"
}
}, - "features": { },
- "limits": { }
}| org required | string Organisation name. |
| profile required | string Profile name. |
| versionName | string Optional label to attach to the config version created by this operation. |
| version required | integer Default: 1 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| title | string (title) human readable title. has no influence on the configuration. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| description | string (description) description for clarity. has no influence on the configuration. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| created required | string <date-time> (created) the date and time this configuration was created. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| lastModified required | string <date-time> (lastModified) the date and time this configuration was modified last. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (content) Defines the content bus location and source. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (code) Defines the code bus location and source. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (folders) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (headers) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (cdn) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (access) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (tokens) Deprecated site tokens. deprecated: use the org secrets instead. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (secrets) Defines organization level secrets. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (groups) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (sidekick) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (metadata-source) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (robots) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| public | object (public) Public configuration | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (events) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (features) Features configuration | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (limits) Features configuration | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
{- "version": 1,
- "title": "string",
- "description": "string",
- "created": "2019-08-24T14:15:22Z",
- "lastModified": "2019-08-24T14:15:22Z",
- "content": {
- "title": "string",
- "description": "string",
- "contentBusId": "string",
}, - "code": {
- "title": "string",
- "description": "string",
- "owner": "string",
- "repo": "string",
- "source": {
- "type": "github",
- "secretId": "string",
- "owner": "string",
- "repo": "string"
}
}, - "folders": { },
- "headers": { },
- "cdn": {
- "prod": {
- "type": "fastly",
- "host": "string",
- "route": [
- "string"
], - "serviceId": "string",
- "authToken": "string"
}, - "live": {
- "host": "main--$repo--page.example.com"
}, - "preview": {
- "host": "main--$repo--live.example.com"
}, - "review": {
- "host": "example.reviews"
}
}, - "access": {
- "admin": {
- "role": { },
- "requireAuth": "auto",
- "defaultRole": [
- "admin"
], - "apiKeyId": [
- "string"
]
}, - "site": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "preview": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "live": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}
}, - "tokens": { },
- "secrets": { },
- "groups": { },
- "sidekick": {
- "editUrlLabel": "string",
- "editUrlPattern": "string",
- "host": "example.com",
- "liveHost": "example.com",
- "plugins": [
- {
- "badgeVariant": "gray",
- "containerId": "string",
- "environments": "any",
- "event": "string",
- "excludePaths": [
- "string"
], - "id": "string",
- "includePaths": [
- "string"
], - "isBadge": true,
- "isContainer": true,
- "isPalette": true,
- "isPopover": true,
- "paletteRect": "top: 100px; right: 20px; width: 200px; height: 50vh",
- "passConfig": true,
- "passReferrer": true,
- "pinned": true,
- "popoverRect": "width: 400px; height: 300px",
- "title": "string",
- "titleI18n": { },
- "url": "string"
}
], - "previewHost": "example.com",
- "project": "string",
- "reviewHost": "example.com",
- "specialViews": [
- {
- "id": "string",
- "path": "/foo/**.json",
- "title": "string",
- "viewer": "/tools/sidekick/foo/index.html"
}
], - "trustedHosts": [
- "string"
], - "wordSaveDelay": 0
}, - "metadata": {
- "source": [
- "string"
]
}, - "robots": {
- "txt": "string"
}, - "public": { },
- "events": {
- "github": {
- "target": "string"
}
}, - "features": { },
- "limits": { }
}{- "version": 1,
- "title": "string",
- "description": "string",
- "created": "2019-08-24T14:15:22Z",
- "lastModified": "2019-08-24T14:15:22Z",
- "content": {
- "title": "string",
- "description": "string",
- "contentBusId": "string",
}, - "code": {
- "title": "string",
- "description": "string",
- "owner": "string",
- "repo": "string",
- "source": {
- "type": "github",
- "secretId": "string",
- "owner": "string",
- "repo": "string"
}
}, - "folders": { },
- "headers": { },
- "cdn": {
- "prod": {
- "type": "fastly",
- "host": "string",
- "route": [
- "string"
], - "serviceId": "string",
- "authToken": "string"
}, - "live": {
- "host": "main--$repo--page.example.com"
}, - "preview": {
- "host": "main--$repo--live.example.com"
}, - "review": {
- "host": "example.reviews"
}
}, - "access": {
- "admin": {
- "role": { },
- "requireAuth": "auto",
- "defaultRole": [
- "admin"
], - "apiKeyId": [
- "string"
]
}, - "site": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "preview": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "live": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}
}, - "tokens": { },
- "secrets": { },
- "groups": { },
- "sidekick": {
- "editUrlLabel": "string",
- "editUrlPattern": "string",
- "host": "example.com",
- "liveHost": "example.com",
- "plugins": [
- {
- "badgeVariant": "gray",
- "containerId": "string",
- "environments": "any",
- "event": "string",
- "excludePaths": [
- "string"
], - "id": "string",
- "includePaths": [
- "string"
], - "isBadge": true,
- "isContainer": true,
- "isPalette": true,
- "isPopover": true,
- "paletteRect": "top: 100px; right: 20px; width: 200px; height: 50vh",
- "passConfig": true,
- "passReferrer": true,
- "pinned": true,
- "popoverRect": "width: 400px; height: 300px",
- "title": "string",
- "titleI18n": { },
- "url": "string"
}
], - "previewHost": "example.com",
- "project": "string",
- "reviewHost": "example.com",
- "specialViews": [
- {
- "id": "string",
- "path": "/foo/**.json",
- "title": "string",
- "viewer": "/tools/sidekick/foo/index.html"
}
], - "trustedHosts": [
- "string"
], - "wordSaveDelay": 0
}, - "metadata": {
- "source": [
- "string"
]
}, - "robots": {
- "txt": "string"
}, - "public": { },
- "events": {
- "github": {
- "target": "string"
}
}, - "features": { },
- "limits": { }
}| org required | string Organisation name. |
| profile required | string Profile name. |
| version required | integer Default: 1 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| title | string (title) human readable title. has no influence on the configuration. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| description | string (description) description for clarity. has no influence on the configuration. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| created required | string <date-time> (created) the date and time this configuration was created. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| lastModified required | string <date-time> (lastModified) the date and time this configuration was modified last. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (content) Defines the content bus location and source. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (code) Defines the code bus location and source. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (folders) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (headers) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (cdn) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (access) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (tokens) Deprecated site tokens. deprecated: use the org secrets instead. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (secrets) Defines organization level secrets. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (groups) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (sidekick) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (metadata-source) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (robots) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| public | object (public) Public configuration | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (events) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (features) Features configuration | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
object (limits) Features configuration | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
{- "version": 1,
- "title": "string",
- "description": "string",
- "created": "2019-08-24T14:15:22Z",
- "lastModified": "2019-08-24T14:15:22Z",
- "content": {
- "title": "string",
- "description": "string",
- "contentBusId": "string",
}, - "code": {
- "title": "string",
- "description": "string",
- "owner": "string",
- "repo": "string",
- "source": {
- "type": "github",
- "secretId": "string",
- "owner": "string",
- "repo": "string"
}
}, - "folders": { },
- "headers": { },
- "cdn": {
- "prod": {
- "type": "fastly",
- "host": "string",
- "route": [
- "string"
], - "serviceId": "string",
- "authToken": "string"
}, - "live": {
- "host": "main--$repo--page.example.com"
}, - "preview": {
- "host": "main--$repo--live.example.com"
}, - "review": {
- "host": "example.reviews"
}
}, - "access": {
- "admin": {
- "role": { },
- "requireAuth": "auto",
- "defaultRole": [
- "admin"
], - "apiKeyId": [
- "string"
]
}, - "site": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "preview": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "live": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}
}, - "tokens": { },
- "secrets": { },
- "groups": { },
- "sidekick": {
- "editUrlLabel": "string",
- "editUrlPattern": "string",
- "host": "example.com",
- "liveHost": "example.com",
- "plugins": [
- {
- "badgeVariant": "gray",
- "containerId": "string",
- "environments": "any",
- "event": "string",
- "excludePaths": [
- "string"
], - "id": "string",
- "includePaths": [
- "string"
], - "isBadge": true,
- "isContainer": true,
- "isPalette": true,
- "isPopover": true,
- "paletteRect": "top: 100px; right: 20px; width: 200px; height: 50vh",
- "passConfig": true,
- "passReferrer": true,
- "pinned": true,
- "popoverRect": "width: 400px; height: 300px",
- "title": "string",
- "titleI18n": { },
- "url": "string"
}
], - "previewHost": "example.com",
- "project": "string",
- "reviewHost": "example.com",
- "specialViews": [
- {
- "id": "string",
- "path": "/foo/**.json",
- "title": "string",
- "viewer": "/tools/sidekick/foo/index.html"
}
], - "trustedHosts": [
- "string"
], - "wordSaveDelay": 0
}, - "metadata": {
- "source": [
- "string"
]
}, - "robots": {
- "txt": "string"
}, - "public": { },
- "events": {
- "github": {
- "target": "string"
}
}, - "features": { },
- "limits": { }
}Returns a sub-property of the profile level configuration.
| org required | string Organisation name. |
| profile required | string Profile name. |
| path required | string Relative path of the resource |
{ }Aggregated configuration combines site configuration with inherited values from the profile.
Returns the aggregated site level configuration. This includes the inherited values from the profile.
| org required | string Organisation name. |
| site required | string Site identifier. |
{- "version": 1,
- "name": "string",
- "title": "string",
- "description": "string",
- "created": "2019-08-24T14:15:22Z",
- "lastModified": "2019-08-24T14:15:22Z",
- "content": {
- "title": "string",
- "description": "string",
- "contentBusId": "string",
}, - "code": {
- "title": "string",
- "description": "string",
- "owner": "string",
- "repo": "string",
- "source": {
- "type": "github",
- "secretId": "string",
- "owner": "string",
- "repo": "string"
}
}, - "folders": { },
- "headers": { },
- "cdn": {
- "prod": {
- "type": "fastly",
- "host": "string",
- "route": [
- "string"
], - "serviceId": "string",
- "authToken": "string"
}, - "live": {
- "host": "main--$repo--page.example.com"
}, - "preview": {
- "host": "main--$repo--live.example.com"
}, - "review": {
- "host": "example.reviews"
}
}, - "access": {
- "admin": {
- "role": { },
- "requireAuth": "auto",
- "defaultRole": [
- "admin"
], - "apiKeyId": [
- "string"
]
}, - "site": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "preview": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}, - "live": {
- "allow": [
- "string"
], - "secretId": [
- "string"
], - "apiKeyId": [
- "string"
]
}
}, - "tokens": { },
- "secrets": { },
- "apiKeys": { },
- "groups": { },
- "sidekick": {
- "editUrlLabel": "string",
- "editUrlPattern": "string",
- "host": "example.com",
- "liveHost": "example.com",
- "plugins": [
- {
- "badgeVariant": "gray",
- "containerId": "string",
- "environments": "any",
- "event": "string",
- "excludePaths": [
- "string"
], - "id": "string",
- "includePaths": [
- "string"
], - "isBadge": true,
- "isContainer": true,
- "isPalette": true,
- "isPopover": true,
- "paletteRect": "top: 100px; right: 20px; width: 200px; height: 50vh",
- "passConfig": true,
- "passReferrer": true,
- "pinned": true,
- "popoverRect": "width: 400px; height: 300px",
- "title": "string",
- "titleI18n": { },
- "url": "string"
}
], - "previewHost": "example.com",
- "project": "string",
- "reviewHost": "example.com",
- "specialViews": [
- {
- "id": "string",
- "path": "/foo/**.json",
- "title": "string",
- "viewer": "/tools/sidekick/foo/index.html"
}
], - "trustedHosts": [
- "string"
], - "wordSaveDelay": 0
}, - "metadata": {
- "source": [
- "string"
]
}, - "robots": {
- "txt": "string"
}, - "public": { },
- "events": {
- "github": {
- "target": "string"
}
}, - "features": { },
- "limits": { },
- "extends": {
- "profile": "string"
}
}Returns a sub-property of the aggregated site level configuration.
| org required | string Organisation name. |
| site required | string Site identifier. |
| path required | string Relative path of the resource |
{ }